version: "3.9"

services:
  svn-server:
    container_name: qapi
    image: qapi:latest
    ports:
      - "8445:8445"

    environment:
      SERVER_NAME: localhost
      
    volumes:
      - /volume1/docker/qsvn/qrepo:/var/svn
      - /volume1/docker/qsvn/qdav/dav_svn.passwd:/etc/apache2/dav_svn.passwd
      - /volume1/docker/qsvn/qdav/dav_svn.authz:/etc/apache2/dav_svn.authz
      - /volume1/docker/qsvn/qlogs:/var/log/apache2

    restart: unless-stopped
